# Constant Field Values

## Contents

- org.osgi.*

## org.osgi.*

org.osgi.annotation.bundle.Export.Substitution
Modifier and Type
Constant Field
Value
`public static final String`
`CALCULATED`
`"CALCULATED"`
`public static final String`
`CONSUMER`
`"CONSUMER"`
`public static final String`
`NOIMPORT`
`"NOIMPORT"`
`public static final String`
`PROVIDER`
`"PROVIDER"`
org.osgi.annotation.bundle.Requirement.Cardinality
Modifier and Type
Constant Field
Value
`public static final String`
`MULTIPLE`
`"MULTIPLE"`
`public static final String`
`SINGLE`
`"SINGLE"`
org.osgi.annotation.bundle.Requirement.Resolution
Modifier and Type
Constant Field
Value
`public static final String`
`MANDATORY`
`"MANDATORY"`
`public static final String`
`OPTIONAL`
`"OPTIONAL"`